Bug 524151 - cpu1 didn't come online in a kvm i686 guest [rhel-5.4.z]
Summary: cpu1 didn't come online in a kvm i686 guest [rhel-5.4.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 523450
Blocks: 518493
TreeView+ depends on / blocked
 
Reported: 2009-09-18 06:42 UTC by RHEL Product and Program Management
Modified: 2015-05-05 01:17 UTC (History)
9 users (show)

Fixed In Version: kernel-2.6.18-164.2.1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-29 19:34:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1455 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2009-09-29 19:33:31 UTC

Description RHEL Product and Program Management 2009-09-18 06:42:30 UTC
This bug has been copied from bug #523450 and has been proposed
to be backported to 5.4 z-stream (EUS).

Comment 3 Jiri Pirko 2009-09-21 11:26:01 UTC
in kernel-2.6.18-164.2.1.el5

Comment 5 lihuang 2009-09-23 09:55:32 UTC
FYI:

Tested the original issue in -164.el5_2.1.

steps  in https://bugzilla.redhat.com/show_bug.cgi?id=523450
====
Result :
ON intel Host:
i686      PASS
i686-PAE  PASS
x86_64    PASS

ON AMD HOST
i686      PASS
i686-PAE  PASS
x86_64    Failed*
====

Failed* : the guest hang, and " kvm: inject_page_fault: double fault 0x80444038 " is found in host's dmesg.    can reproduce the failure in kernel -164 and earlier version. I am going to open a bz against kvm.

Comment 6 lihuang 2009-09-23 11:39:19 UTC
Retested the failure on another AMD host . PASS.


Host cpu info :
processor       : 3
vendor_id       : AuthenticAMD
cpu family      : 16
model           : 2
model name      : AMD Phenom(tm) 9600B Quad-Core Processor
stepping        : 3
cpu MHz         : 2300.000
cache size      : 512 KB
physical id     : 0
siblings        : 4
core id         : 3
cpu cores       : 4
apicid          : 3
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm 3dnowext 3dnow constant_tsc nonstop_tsc pni cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy altmovcr8 abm sse4a misalignsse 3dnowprefetch osvw
bogomips        : 4609.70
TLB size        : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate [8]

Comment 9 errata-xmlrpc 2009-09-29 19:34:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1455.html


Note You need to log in before you can comment on or make changes to this bug.